
Figure - Bug #118448
【IOVDEV-32241】【内部】【VC1】【100】【台架】【EE环境】【副屏】【三方应用】副屏打击应用宝，副
屏左侧显示应用宝精选页下载安装部落冲突-集结公测，副屏桌面打开设置页应用宝自动移动到副屏设置页右
侧
2023-06-01 21:49 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-01

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0086.C102����【副屏版本号】：01.00.100.c103

Resolution: DUPLICATE Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230601 19:30-19:54范围内

【前提条件】：副屏上电

连接中控时间与副屏同步

网络连接情况正常

副屏正常连接功放

应用宝默认位置副屏左侧

【操作步骤】

1.副屏打开应用宝显示副屏左侧

2.应用宝精选页下载安装部落冲突-集结公测，

3.应用宝小窗模式，点击副屏设置页进入设置页，

【实际结果】

1.副屏打开应用宝精选页下滑点击部落冲突-集结公测，应用宝显示副屏左侧，打开设置页应用宝自动移动到设置页右侧

【期望结果】

1.副屏打开应用宝精选页下滑点击部落冲突-集结公测，应用宝显示副屏左侧，打开设置页应用宝无自动移动现象

【备注】：

硬件版本号】：

【edge浏览器版本】：105.0.1343.50

【当前开机次数】：副屏当前开机第187次

【中控版本号】：03.02.0086.C102
【副屏版本号】：01.00.100.c103

IDCM  VIN：HRYTTESTVINMGM402

SN：HRYTTESTVINID0402

概率：此问题显示一次，无视频辛苦查考日志

History

#1 - 2023-06-02 18:35 - CD FW-鲁凯峰

目前看只有1种情况会导致小窗突然从左侧移动到右侧,就是操作模式发生变化了

还在分析log看看是不是操作模式发生变化了

#2 - 2023-06-05 20:38 - CD FW-鲁凯峰

在看其他问题,暂时无进展

#3 - 2023-06-06 20:02 - CD FW-鲁凯峰

■ My analysis

从日志中暂时没有找到什么有用的信息,无法确定settings/system/hotseat_dir是否被改变了

./bugreport-PassengerDisplay_CN-SKQ1.220201.001-2023-06-01-19-58-22.txt:194025:  settings/system/hotseat_dir: pid=1548 uid=1000 user=0 target=bc89453

./bugreport-PassengerDisplay_CN-SKQ1.220201.001-2023-06-01-19-58-22.txt:194026:  settings/system/hotseat_dir: pid=1872 uid=10079 user=0 target=1a70d4b

./bugreport-PassengerDisplay_CN-SKQ1.220201.001-2023-06-01-19-58-22.txt:194027:  settings/system/hotseat_dir: pid=2477 uid=10075 user=0 target=e2fcfe0

■ Next Action

想办法复现该问题

#4 - 2023-06-08 14:09 - CD FW-鲁凯峰

■ My analysis

对比正常的日志看,如果左右手模式被改变,应该会有下面的日志输出,但是目前没有看到

_id:102 name:hotseat_dir pkg:com.android.settings value:1 default:1 defaultSystemSet:true

原因可能有2个

日志没有抓到  =====>  小概率

左右手模式没有变化 =====>  大概率

■ Next Action

1. 想办法复现该问题

2. 继续从日志分析可能出现这种情况的原因
#5 - 2023-06-09 18:49 - CD FW-鲁凯峰

- Status changed from New to NEED_INFO

转到在jira上跟踪

#6 - 2023-06-17 17:39 - CD FW-鲁凯峰

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Resolution changed from -- to DUPLICATE

#7 - 2023-06-28 15:48 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

115未出现

#8 - 2023-07-03 18:11 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

1235.gz 12.2 MB 2023-06-01 CDTS_Test 吴诗雨

12365.gz 22.6 MB 2023-06-01 CDTS_Test 吴诗雨
